package com.mortals.xhx.module.designer.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.designer.model.vo.DesignerVo;
import lombok.Data;
/**
* 员工设计师实体对象
*
* @author zxfei
* @date 2024-11-25
*/
@Data
public class DesignerEntity extends DesignerVo {
    private static final long serialVersionUID = 1L;

    /**
    * 名字
    */
    private String name;
    /**
    * 头像
    */
    private String avatar;
    /**
    * 内容
    */
    private String content;
    /**
    * 内容html
    */
    private String contentHtml;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof DesignerEntity) {
            DesignerEntity tmp = (DesignerEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.name = "";
            this.avatar = "";
            this.content = "";
            this.contentHtml = "";
    }
}