package com.mortals.xhx.module.designer.model;

import java.util.List;
import com.mortals.xhx.module.designer.model.DesignerEntity;
/**
* 员工设计师查询对象
*
* @author zxfei
* @date 2024-11-25
*/
public class DesignerQuery extends DesignerEntity {
    /** 开始 设计师id */
    private Long idStart;

    /** 结束 设计师id */
    private Long idEnd;

    /** 增加 设计师id */
    private Long idIncrement;

    /** 设计师id列表 */
    private List <Long> idList;

    /** 设计师id排除列表 */
    private List <Long> idNotList;

    /** 名字 */
    private List<String> nameList;

    /** 名字排除列表 */
    private List <String> nameNotList;
    /** 头像 */
    private List<String> avatarList;

    /** 头像排除列表 */
    private List <String> avatarNotList;
    /** 内容 */
    private List<String> contentList;

    /** 内容排除列表 */
    private List <String> contentNotList;
    /** 内容html */
    private List<String> contentHtmlList;

    /** 内容html排除列表 */
    private List <String> contentHtmlNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<DesignerQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<DesignerQuery> andConditionList;

    public DesignerQuery(){}

    /**
    * 获取 开始 设计师id
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 设计师id
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 设计师id
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 设计师id
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 设计师id
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 设计师id
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 设计师id
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 设计师id
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 设计师id
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 设计师id
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 名字
    * @return nameList
    */
    public List<String> getNameList(){
        return this.nameList;
    }

    /**
    * 设置 名字
    * @param nameList
    */
    public void setNameList(List<String> nameList){
        this.nameList = nameList;
    }

    /**
    * 获取 名字
    * @return nameNotList
    */
    public List<String> getNameNotList(){
        return this.nameNotList;
    }

    /**
    * 设置 名字
    * @param nameNotList
    */
    public void setNameNotList(List<String> nameNotList){
        this.nameNotList = nameNotList;
    }

    /**
    * 获取 头像
    * @return avatarList
    */
    public List<String> getAvatarList(){
        return this.avatarList;
    }

    /**
    * 设置 头像
    * @param avatarList
    */
    public void setAvatarList(List<String> avatarList){
        this.avatarList = avatarList;
    }

    /**
    * 获取 头像
    * @return avatarNotList
    */
    public List<String> getAvatarNotList(){
        return this.avatarNotList;
    }

    /**
    * 设置 头像
    * @param avatarNotList
    */
    public void setAvatarNotList(List<String> avatarNotList){
        this.avatarNotList = avatarNotList;
    }

    /**
    * 获取 内容
    * @return contentList
    */
    public List<String> getContentList(){
        return this.contentList;
    }

    /**
    * 设置 内容
    * @param contentList
    */
    public void setContentList(List<String> contentList){
        this.contentList = contentList;
    }

    /**
    * 获取 内容
    * @return contentNotList
    */
    public List<String> getContentNotList(){
        return this.contentNotList;
    }

    /**
    * 设置 内容
    * @param contentNotList
    */
    public void setContentNotList(List<String> contentNotList){
        this.contentNotList = contentNotList;
    }

    /**
    * 获取 内容html
    * @return contentHtmlList
    */
    public List<String> getContentHtmlList(){
        return this.contentHtmlList;
    }

    /**
    * 设置 内容html
    * @param contentHtmlList
    */
    public void setContentHtmlList(List<String> contentHtmlList){
        this.contentHtmlList = contentHtmlList;
    }

    /**
    * 获取 内容html
    * @return contentHtmlNotList
    */
    public List<String> getContentHtmlNotList(){
        return this.contentHtmlNotList;
    }

    /**
    * 设置 内容html
    * @param contentHtmlNotList
    */
    public void setContentHtmlNotList(List<String> contentHtmlNotList){
        this.contentHtmlNotList = contentHtmlNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  设计师id
    * @param id
    */
    public DesignerQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 设计师id
    * @param idStart
    */
    public DesignerQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 设计师id
    * @param idEnd
    */
    public DesignerQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 设计师id
    * @param idIncrement
    */
    public DesignerQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 设计师id
    * @param idList
    */
    public DesignerQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 设计师id
        * @param idNotList
        */
        public DesignerQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }


	/**
    * 设置 名字
    * @param name
    */
    public DesignerQuery name(String name){
        setName(name);
		return this;
    }

    /**
    * 设置 名字
    * @param nameList
    */
    public DesignerQuery nameList(List<String> nameList){
        this.nameList = nameList;
		return this;
    }


	/**
    * 设置 头像
    * @param avatar
    */
    public DesignerQuery avatar(String avatar){
        setAvatar(avatar);
		return this;
    }

    /**
    * 设置 头像
    * @param avatarList
    */
    public DesignerQuery avatarList(List<String> avatarList){
        this.avatarList = avatarList;
		return this;
    }


	/**
    * 设置 内容
    * @param content
    */
    public DesignerQuery content(String content){
        setContent(content);
		return this;
    }

    /**
    * 设置 内容
    * @param contentList
    */
    public DesignerQuery contentList(List<String> contentList){
        this.contentList = contentList;
		return this;
    }


	/**
    * 设置 内容html
    * @param contentHtml
    */
    public DesignerQuery contentHtml(String contentHtml){
        setContentHtml(contentHtml);
		return this;
    }

    /**
    * 设置 内容html
    * @param contentHtmlList
    */
    public DesignerQuery contentHtmlList(List<String> contentHtmlList){
        this.contentHtmlList = contentHtmlList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public DesignerQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public DesignerQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public DesignerQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public DesignerQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public DesignerQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public DesignerQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }



    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<DesignerQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<DesignerQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<DesignerQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<DesignerQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}