package com.mortals.xhx.module.example.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.example.model.vo.ExampleVo;
import lombok.Data;
/**
* 案例图片实体对象
*
* @author zxfei
* @date 2024-11-25
*/
@Data
public class ExampleEntity extends ExampleVo {
    private static final long serialVersionUID = 1L;

    /**
    * 案例名称
    */
    private String name;
    /**
    * 案例种类（0，1，2，3，4，5）
    */
    private Integer exampleType;
    /**
    * 案例图片(1-16张)
    */
    private String image1;
    /**
    * 
    */
    private String image2;
    /**
    * 
    */
    private String image3;
    /**
    * 
    */
    private String image4;
    /**
    * 
    */
    private String image5;
    /**
    * 
    */
    private String image6;
    /**
    * 
    */
    private String image7;
    /**
    * 
    */
    private String image8;
    /**
    * 
    */
    private String image9;
    /**
    * 
    */
    private String image10;
    /**
    * 
    */
    private String image11;
    /**
    * 
    */
    private String image12;
    /**
    * 
    */
    private String image13;
    /**
    * 
    */
    private String image14;
    /**
    * 
    */
    private String image15;
    /**
    * 
    */
    private String image16;
    /**
    * 内容
    */
    private String content;
    /**
    * 内容html
    */
    private String contentHtml;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof ExampleEntity) {
            ExampleEntity tmp = (ExampleEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.name = "";
            this.exampleType = 0;
            this.image1 = "";
            this.image2 = "";
            this.image3 = "";
            this.image4 = "";
            this.image5 = "";
            this.image6 = "";
            this.image7 = "";
            this.image8 = "";
            this.image9 = "";
            this.image10 = "";
            this.image11 = "";
            this.image12 = "";
            this.image13 = "";
            this.image14 = "";
            this.image15 = "";
            this.image16 = "";
            this.content = "";
            this.contentHtml = "";
    }
}