package com.mortals.xhx.module.advantage.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.advantage.model.vo.AdvantageVo;
import lombok.Data;
/**
* 公司优势特点实体对象
*
* @author zxfei
* @date 2024-11-29
*/
@Data
public class AdvantageEntity extends AdvantageVo {
    private static final long serialVersionUID = 1L;

    /**
    * 标题
    */
    private String title;
    /**
    * 内容
    */
    private String content;
    /**
    * 图片
    */
    private String imagePath;
    /**
    * 备注
    */
    private String remark;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof AdvantageEntity) {
            AdvantageEntity tmp = (AdvantageEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.title = "";
            this.content = "";
            this.imagePath = "";
            this.remark = "";
    }
}