package com.mortals.xhx.module.advantage.service.impl;
import org.springframework.beans.BeanUtils;
import java.util.function.Function;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.advantage.dao.AdvantageDao;
import com.mortals.xhx.module.advantage.model.AdvantageEntity;
import com.mortals.xhx.module.advantage.service.AdvantageService;
import lombok.extern.slf4j.Slf4j;
/**
* AdvantageService
* 公司优势特点 service实现
*
* @author zxfei
* @date 2024-11-29
*/
@Service("advantageService")
@Slf4j
public class AdvantageServiceImpl extends AbstractCRUDServiceImpl<AdvantageDao, AdvantageEntity, Long> implements AdvantageService {
    
}