package com.mortals.xhx.module.article.service.impl;
import org.springframework.beans.BeanUtils;
import java.util.function.Function;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.article.dao.ArticleDao;
import com.mortals.xhx.module.article.model.ArticleEntity;
import com.mortals.xhx.module.article.service.ArticleService;
import lombok.extern.slf4j.Slf4j;
/**
* ArticleService
* 文章 service实现
*
* @author zxfei
* @date 2024-11-25
*/
@Service("articleService")
@Slf4j
public class ArticleServiceImpl extends AbstractCRUDServiceImpl<ArticleDao, ArticleEntity, Long> implements ArticleService {
    
}