package com.mortals.xhx.module.company.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.company.model.vo.CompanyVo;
import lombok.Data;
/**
* 公司基本信息实体对象
*
* @author zxfei
* @date 2024-11-25
*/
@Data
public class CompanyEntity extends CompanyVo {
    private static final long serialVersionUID = 1L;

    /**
    * 名称
    */
    private String name;
    /**
    * 公司介绍
    */
    private String introduction;
    /**
    * 电话号码
    */
    private String phone;
    /**
    * 地址
    */
    private String address;
    /**
    * 二维码
    */
    private String qrCode;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof CompanyEntity) {
            CompanyEntity tmp = (CompanyEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.name = "";
            this.introduction = "";
            this.phone = "";
            this.address = "";
            this.qrCode = "";
    }
}