package com.mortals.xhx.module.designer.service.impl;
import org.springframework.beans.BeanUtils;
import java.util.function.Function;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.designer.dao.DesignerDao;
import com.mortals.xhx.module.designer.model.DesignerEntity;
import com.mortals.xhx.module.designer.service.DesignerService;
import lombok.extern.slf4j.Slf4j;
/**
* DesignerService
* 员工设计师 service实现
*
* @author zxfei
* @date 2024-11-25
*/
@Service("designerService")
@Slf4j
public class DesignerServiceImpl extends AbstractCRUDServiceImpl<DesignerDao, DesignerEntity, Long> implements DesignerService {
    
}