package com.mortals.xhx.module.example.service.impl;
import org.springframework.beans.BeanUtils;
import java.util.function.Function;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.example.dao.ExampleDao;
import com.mortals.xhx.module.example.model.ExampleEntity;
import com.mortals.xhx.module.example.service.ExampleService;
import lombok.extern.slf4j.Slf4j;
/**
* ExampleService
* 案例图片 service实现
*
* @author zxfei
* @date 2024-11-25
*/
@Service("exampleService")
@Slf4j
public class ExampleServiceImpl extends AbstractCRUDServiceImpl<ExampleDao, ExampleEntity, Long> implements ExampleService {
    
}