package com.mortals.xhx.module.example.web;

import com.mortals.framework.model.Context;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.module.example.model.ExampleEntity;
import com.mortals.xhx.module.example.service.ExampleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;
/**
*
* 案例图片
*
* @author zxfei
* @date 2024-11-25
*/
@RestController
@RequestMapping("example")
public class ExampleController extends BaseCRUDJsonBodyMappingController<ExampleService,ExampleEntity,Long> {

    @Autowired
    private ParamService paramService;

    public ExampleController(){
        super.setModuleDesc( "案例图片");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {

        super.init(model, context);
    }


}