package com.mortals.xhx.module.slideshow.model;

import java.util.List;
import com.mortals.xhx.module.slideshow.model.SlideshowEntity;
/**
 * 轮播查询对象
 *
 * @author zxfei
 * @date 2024-11-29
 */
public class SlideshowQuery extends SlideshowEntity {
    /** 开始 轮播图id */
    private Long idStart;

    /** 结束 轮播图id */
    private Long idEnd;

    /** 增加 轮播图id */
    private Long idIncrement;

    /** 轮播图id列表 */
    private List <Long> idList;

    /** 轮播图id排除列表 */
    private List <Long> idNotList;

    /** 图片地址 */
    private List<String> imageUrlList;

    /** 图片地址排除列表 */
    private List <String> imageUrlNotList;
    /** 描述 */
    private List<String> introductionList;

    /** 描述排除列表 */
    private List <String> introductionNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 图标 */
    private List<String> iconList;

    /** 图标排除列表 */
    private List <String> iconNotList;
    /** 名称 */
    private List<String> nameList;

    /** 名称排除列表 */
    private List <String> nameNotList;
    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<SlideshowQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<SlideshowQuery> andConditionList;

    public SlideshowQuery(){}

    /**
     * 获取 开始 轮播图id
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 轮播图id
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 轮播图id
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 轮播图id
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 轮播图id
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 轮播图id
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 轮播图id
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 轮播图id
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 轮播图id
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 轮播图id
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 图片地址
     * @return imageUrlList
     */
    public List<String> getImageUrlList(){
        return this.imageUrlList;
    }

    /**
     * 设置 图片地址
     * @param imageUrlList
     */
    public void setImageUrlList(List<String> imageUrlList){
        this.imageUrlList = imageUrlList;
    }

    /**
     * 获取 图片地址
     * @return imageUrlNotList
     */
    public List<String> getImageUrlNotList(){
        return this.imageUrlNotList;
    }

    /**
     * 设置 图片地址
     * @param imageUrlNotList
     */
    public void setImageUrlNotList(List<String> imageUrlNotList){
        this.imageUrlNotList = imageUrlNotList;
    }

    /**
     * 获取 描述
     * @return introductionList
     */
    public List<String> getIntroductionList(){
        return this.introductionList;
    }

    /**
     * 设置 描述
     * @param introductionList
     */
    public void setIntroductionList(List<String> introductionList){
        this.introductionList = introductionList;
    }

    /**
     * 获取 描述
     * @return introductionNotList
     */
    public List<String> getIntroductionNotList(){
        return this.introductionNotList;
    }

    /**
     * 设置 描述
     * @param introductionNotList
     */
    public void setIntroductionNotList(List<String> introductionNotList){
        this.introductionNotList = introductionNotList;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 图标
     * @return iconList
     */
    public List<String> getIconList(){
        return this.iconList;
    }

    /**
     * 设置 图标
     * @param iconList
     */
    public void setIconList(List<String> iconList){
        this.iconList = iconList;
    }

    /**
     * 获取 图标
     * @return iconNotList
     */
    public List<String> getIconNotList(){
        return this.iconNotList;
    }

    /**
     * 设置 图标
     * @param iconNotList
     */
    public void setIconNotList(List<String> iconNotList){
        this.iconNotList = iconNotList;
    }

    /**
     * 获取 名称
     * @return nameList
     */
    public List<String> getNameList(){
        return this.nameList;
    }

    /**
     * 设置 名称
     * @param nameList
     */
    public void setNameList(List<String> nameList){
        this.nameList = nameList;
    }

    /**
     * 获取 名称
     * @return nameNotList
     */
    public List<String> getNameNotList(){
        return this.nameNotList;
    }

    /**
     * 设置 名称
     * @param nameNotList
     */
    public void setNameNotList(List<String> nameNotList){
        this.nameNotList = nameNotList;
    }

    /**
     * 设置  轮播图id
     * @param id
     */
    public SlideshowQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 轮播图id
     * @param idStart
     */
    public SlideshowQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 轮播图id
     * @param idEnd
     */
    public SlideshowQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 轮播图id
     * @param idIncrement
     */
    public SlideshowQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 轮播图id
     * @param idList
     */
    public SlideshowQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 轮播图id
     * @param idNotList
     */
    public SlideshowQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }


    /**
     * 设置 图片地址
     * @param imageUrl
     */
    public SlideshowQuery imageUrl(String imageUrl){
        setImageUrl(imageUrl);
        return this;
    }

    /**
     * 设置 图片地址
     * @param imageUrlList
     */
    public SlideshowQuery imageUrlList(List<String> imageUrlList){
        this.imageUrlList = imageUrlList;
        return this;
    }


    /**
     * 设置 描述
     * @param introduction
     */
    public SlideshowQuery introduction(String introduction){
        setIntroduction(introduction);
        return this;
    }

    /**
     * 设置 描述
     * @param introductionList
     */
    public SlideshowQuery introductionList(List<String> introductionList){
        this.introductionList = introductionList;
        return this;
    }

    /**
     * 设置  创建用户
     * @param createUserId
     */
    public SlideshowQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public SlideshowQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public SlideshowQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public SlideshowQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public SlideshowQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public SlideshowQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }




    /**
     * 设置 图标
     * @param icon
     */
    public SlideshowQuery icon(String icon){
        setIcon(icon);
        return this;
    }

    /**
     * 设置 图标
     * @param iconList
     */
    public SlideshowQuery iconList(List<String> iconList){
        this.iconList = iconList;
        return this;
    }


    /**
     * 设置 名称
     * @param name
     */
    public SlideshowQuery name(String name){
        setName(name);
        return this;
    }

    /**
     * 设置 名称
     * @param nameList
     */
    public SlideshowQuery nameList(List<String> nameList){
        this.nameList = nameList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<SlideshowQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<SlideshowQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<SlideshowQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<SlideshowQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}