package com.mortals.xhx.module.type.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.type.model.vo.TypeDetailsVo;
import lombok.Data;
/**
* 类型详细实体对象
*
* @author zxfei
* @date 2024-11-25
*/
@Data
public class TypeDetailsEntity extends TypeDetailsVo {
    private static final long serialVersionUID = 1L;

    /**
    * 标题
    */
    private String title;
    /**
    * 图片
    */
    private String imageUrl1;
    /**
    * 
    */
    private String imageUrl2;
    /**
    * 
    */
    private String imageUrl3;
    /**
    * 
    */
    private String imageUrl4;
    /**
    * 
    */
    private String imageUrl5;
    /**
    * 产品类型id
    */
    private Long typeId;
    /**
    * 描述内容
    */
    private String introduction;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof TypeDetailsEntity) {
            TypeDetailsEntity tmp = (TypeDetailsEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.title = "";
            this.imageUrl1 = "";
            this.imageUrl2 = "";
            this.imageUrl3 = "";
            this.imageUrl4 = "";
            this.imageUrl5 = "";
            this.typeId = null;
            this.introduction = "";
    }
}