package com.mortals.xhx.module.type.model;

import java.util.List;
import com.mortals.xhx.module.type.model.TypeDetailsEntity;
/**
* 类型详细查询对象
*
* @author zxfei
* @date 2024-11-25
*/
public class TypeDetailsQuery extends TypeDetailsEntity {
    /** 开始 种类详情id */
    private Long idStart;

    /** 结束 种类详情id */
    private Long idEnd;

    /** 增加 种类详情id */
    private Long idIncrement;

    /** 种类详情id列表 */
    private List <Long> idList;

    /** 种类详情id排除列表 */
    private List <Long> idNotList;

    /** 标题 */
    private List<String> titleList;

    /** 标题排除列表 */
    private List <String> titleNotList;
    /** 图片 */
    private List<String> imageUrl1List;

    /** 图片排除列表 */
    private List <String> imageUrl1NotList;
    /**  */
    private List<String> imageUrl2List;

    /** 排除列表 */
    private List <String> imageUrl2NotList;
    /**  */
    private List<String> imageUrl3List;

    /** 排除列表 */
    private List <String> imageUrl3NotList;
    /**  */
    private List<String> imageUrl4List;

    /** 排除列表 */
    private List <String> imageUrl4NotList;
    /**  */
    private List<String> imageUrl5List;

    /** 排除列表 */
    private List <String> imageUrl5NotList;
    /** 开始 产品类型id */
    private Long typeIdStart;

    /** 结束 产品类型id */
    private Long typeIdEnd;

    /** 增加 产品类型id */
    private Long typeIdIncrement;

    /** 产品类型id列表 */
    private List <Long> typeIdList;

    /** 产品类型id排除列表 */
    private List <Long> typeIdNotList;

    /** 描述内容 */
    private List<String> introductionList;

    /** 描述内容排除列表 */
    private List <String> introductionNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<TypeDetailsQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<TypeDetailsQuery> andConditionList;

    public TypeDetailsQuery(){}

    /**
    * 获取 开始 种类详情id
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 种类详情id
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 种类详情id
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 种类详情id
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 种类详情id
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 种类详情id
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 种类详情id
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 种类详情id
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 种类详情id
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 种类详情id
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 标题
    * @return titleList
    */
    public List<String> getTitleList(){
        return this.titleList;
    }

    /**
    * 设置 标题
    * @param titleList
    */
    public void setTitleList(List<String> titleList){
        this.titleList = titleList;
    }

    /**
    * 获取 标题
    * @return titleNotList
    */
    public List<String> getTitleNotList(){
        return this.titleNotList;
    }

    /**
    * 设置 标题
    * @param titleNotList
    */
    public void setTitleNotList(List<String> titleNotList){
        this.titleNotList = titleNotList;
    }

    /**
    * 获取 图片
    * @return imageUrl1List
    */
    public List<String> getImageUrl1List(){
        return this.imageUrl1List;
    }

    /**
    * 设置 图片
    * @param imageUrl1List
    */
    public void setImageUrl1List(List<String> imageUrl1List){
        this.imageUrl1List = imageUrl1List;
    }

    /**
    * 获取 图片
    * @return imageUrl1NotList
    */
    public List<String> getImageUrl1NotList(){
        return this.imageUrl1NotList;
    }

    /**
    * 设置 图片
    * @param imageUrl1NotList
    */
    public void setImageUrl1NotList(List<String> imageUrl1NotList){
        this.imageUrl1NotList = imageUrl1NotList;
    }

    /**
    * 获取 
    * @return imageUrl2List
    */
    public List<String> getImageUrl2List(){
        return this.imageUrl2List;
    }

    /**
    * 设置 
    * @param imageUrl2List
    */
    public void setImageUrl2List(List<String> imageUrl2List){
        this.imageUrl2List = imageUrl2List;
    }

    /**
    * 获取 
    * @return imageUrl2NotList
    */
    public List<String> getImageUrl2NotList(){
        return this.imageUrl2NotList;
    }

    /**
    * 设置 
    * @param imageUrl2NotList
    */
    public void setImageUrl2NotList(List<String> imageUrl2NotList){
        this.imageUrl2NotList = imageUrl2NotList;
    }

    /**
    * 获取 
    * @return imageUrl3List
    */
    public List<String> getImageUrl3List(){
        return this.imageUrl3List;
    }

    /**
    * 设置 
    * @param imageUrl3List
    */
    public void setImageUrl3List(List<String> imageUrl3List){
        this.imageUrl3List = imageUrl3List;
    }

    /**
    * 获取 
    * @return imageUrl3NotList
    */
    public List<String> getImageUrl3NotList(){
        return this.imageUrl3NotList;
    }

    /**
    * 设置 
    * @param imageUrl3NotList
    */
    public void setImageUrl3NotList(List<String> imageUrl3NotList){
        this.imageUrl3NotList = imageUrl3NotList;
    }

    /**
    * 获取 
    * @return imageUrl4List
    */
    public List<String> getImageUrl4List(){
        return this.imageUrl4List;
    }

    /**
    * 设置 
    * @param imageUrl4List
    */
    public void setImageUrl4List(List<String> imageUrl4List){
        this.imageUrl4List = imageUrl4List;
    }

    /**
    * 获取 
    * @return imageUrl4NotList
    */
    public List<String> getImageUrl4NotList(){
        return this.imageUrl4NotList;
    }

    /**
    * 设置 
    * @param imageUrl4NotList
    */
    public void setImageUrl4NotList(List<String> imageUrl4NotList){
        this.imageUrl4NotList = imageUrl4NotList;
    }

    /**
    * 获取 
    * @return imageUrl5List
    */
    public List<String> getImageUrl5List(){
        return this.imageUrl5List;
    }

    /**
    * 设置 
    * @param imageUrl5List
    */
    public void setImageUrl5List(List<String> imageUrl5List){
        this.imageUrl5List = imageUrl5List;
    }

    /**
    * 获取 
    * @return imageUrl5NotList
    */
    public List<String> getImageUrl5NotList(){
        return this.imageUrl5NotList;
    }

    /**
    * 设置 
    * @param imageUrl5NotList
    */
    public void setImageUrl5NotList(List<String> imageUrl5NotList){
        this.imageUrl5NotList = imageUrl5NotList;
    }

    /**
    * 获取 开始 产品类型id
    * @return typeIdStart
    */
    public Long getTypeIdStart(){
        return this.typeIdStart;
    }

    /**
    * 设置 开始 产品类型id
    * @param typeIdStart
    */
    public void setTypeIdStart(Long typeIdStart){
        this.typeIdStart = typeIdStart;
    }

    /**
    * 获取 结束 产品类型id
    * @return $typeIdEnd
    */
    public Long getTypeIdEnd(){
        return this.typeIdEnd;
    }

    /**
    * 设置 结束 产品类型id
    * @param typeIdEnd
    */
    public void setTypeIdEnd(Long typeIdEnd){
        this.typeIdEnd = typeIdEnd;
    }

    /**
    * 获取 增加 产品类型id
    * @return typeIdIncrement
    */
    public Long getTypeIdIncrement(){
        return this.typeIdIncrement;
    }

    /**
    * 设置 增加 产品类型id
    * @param typeIdIncrement
    */
    public void setTypeIdIncrement(Long typeIdIncrement){
        this.typeIdIncrement = typeIdIncrement;
    }

    /**
    * 获取 产品类型id
    * @return typeIdList
    */
    public List<Long> getTypeIdList(){
        return this.typeIdList;
    }

    /**
    * 设置 产品类型id
    * @param typeIdList
    */
    public void setTypeIdList(List<Long> typeIdList){
        this.typeIdList = typeIdList;
    }

    /**
    * 获取 产品类型id
    * @return typeIdNotList
    */
    public List<Long> getTypeIdNotList(){
        return this.typeIdNotList;
    }

    /**
    * 设置 产品类型id
    * @param typeIdNotList
    */
    public void setTypeIdNotList(List<Long> typeIdNotList){
        this.typeIdNotList = typeIdNotList;
    }


    /**
    * 获取 描述内容
    * @return introductionList
    */
    public List<String> getIntroductionList(){
        return this.introductionList;
    }

    /**
    * 设置 描述内容
    * @param introductionList
    */
    public void setIntroductionList(List<String> introductionList){
        this.introductionList = introductionList;
    }

    /**
    * 获取 描述内容
    * @return introductionNotList
    */
    public List<String> getIntroductionNotList(){
        return this.introductionNotList;
    }

    /**
    * 设置 描述内容
    * @param introductionNotList
    */
    public void setIntroductionNotList(List<String> introductionNotList){
        this.introductionNotList = introductionNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  种类详情id
    * @param id
    */
    public TypeDetailsQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 种类详情id
    * @param idStart
    */
    public TypeDetailsQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 种类详情id
    * @param idEnd
    */
    public TypeDetailsQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 种类详情id
    * @param idIncrement
    */
    public TypeDetailsQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 种类详情id
    * @param idList
    */
    public TypeDetailsQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 种类详情id
        * @param idNotList
        */
        public TypeDetailsQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }


	/**
    * 设置 标题
    * @param title
    */
    public TypeDetailsQuery title(String title){
        setTitle(title);
		return this;
    }

    /**
    * 设置 标题
    * @param titleList
    */
    public TypeDetailsQuery titleList(List<String> titleList){
        this.titleList = titleList;
		return this;
    }


	/**
    * 设置 图片
    * @param imageUrl1
    */
    public TypeDetailsQuery imageUrl1(String imageUrl1){
        setImageUrl1(imageUrl1);
		return this;
    }

    /**
    * 设置 图片
    * @param imageUrl1List
    */
    public TypeDetailsQuery imageUrl1List(List<String> imageUrl1List){
        this.imageUrl1List = imageUrl1List;
		return this;
    }


	/**
    * 设置 
    * @param imageUrl2
    */
    public TypeDetailsQuery imageUrl2(String imageUrl2){
        setImageUrl2(imageUrl2);
		return this;
    }

    /**
    * 设置 
    * @param imageUrl2List
    */
    public TypeDetailsQuery imageUrl2List(List<String> imageUrl2List){
        this.imageUrl2List = imageUrl2List;
		return this;
    }


	/**
    * 设置 
    * @param imageUrl3
    */
    public TypeDetailsQuery imageUrl3(String imageUrl3){
        setImageUrl3(imageUrl3);
		return this;
    }

    /**
    * 设置 
    * @param imageUrl3List
    */
    public TypeDetailsQuery imageUrl3List(List<String> imageUrl3List){
        this.imageUrl3List = imageUrl3List;
		return this;
    }


	/**
    * 设置 
    * @param imageUrl4
    */
    public TypeDetailsQuery imageUrl4(String imageUrl4){
        setImageUrl4(imageUrl4);
		return this;
    }

    /**
    * 设置 
    * @param imageUrl4List
    */
    public TypeDetailsQuery imageUrl4List(List<String> imageUrl4List){
        this.imageUrl4List = imageUrl4List;
		return this;
    }


	/**
    * 设置 
    * @param imageUrl5
    */
    public TypeDetailsQuery imageUrl5(String imageUrl5){
        setImageUrl5(imageUrl5);
		return this;
    }

    /**
    * 设置 
    * @param imageUrl5List
    */
    public TypeDetailsQuery imageUrl5List(List<String> imageUrl5List){
        this.imageUrl5List = imageUrl5List;
		return this;
    }

    /**
    * 设置  产品类型id
    * @param typeId
    */
    public TypeDetailsQuery typeId(Long typeId){
	    setTypeId(typeId);
		return this;
    }
	
	 /**
    * 设置 开始 产品类型id
    * @param typeIdStart
    */
    public TypeDetailsQuery typeIdStart(Long typeIdStart){
		this.typeIdStart = typeIdStart;
		return this;
    }

    /**
    * 设置 结束 产品类型id
    * @param typeIdEnd
    */
    public TypeDetailsQuery typeIdEnd(Long typeIdEnd){
		this.typeIdEnd = typeIdEnd;
		return this;
    }

    /**
    * 设置 增加 产品类型id
    * @param typeIdIncrement
    */
    public TypeDetailsQuery typeIdIncrement(Long typeIdIncrement){
		this.typeIdIncrement = typeIdIncrement;
		return this;
    }

    /**
    * 设置 产品类型id
    * @param typeIdList
    */
    public TypeDetailsQuery typeIdList(List<Long> typeIdList){
        this.typeIdList = typeIdList;
		return this;
        }

        /**
        * 设置 产品类型id
        * @param typeIdNotList
        */
        public TypeDetailsQuery typeIdNotList(List<Long> typeIdNotList){
        this.typeIdNotList = typeIdNotList;
        return this;
        }


	/**
    * 设置 描述内容
    * @param introduction
    */
    public TypeDetailsQuery introduction(String introduction){
        setIntroduction(introduction);
		return this;
    }

    /**
    * 设置 描述内容
    * @param introductionList
    */
    public TypeDetailsQuery introductionList(List<String> introductionList){
        this.introductionList = introductionList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public TypeDetailsQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public TypeDetailsQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public TypeDetailsQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public TypeDetailsQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public TypeDetailsQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public TypeDetailsQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }



    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<TypeDetailsQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<TypeDetailsQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<TypeDetailsQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<TypeDetailsQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}