package com.mortals.xhx.module.type.model;
import java.util.List;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.type.model.vo.TypeVo;
import com.mortals.xhx.module.type.model.TypeDetailsEntity;
import lombok.Data;
/**
* 类型实体对象
*
* @author zxfei
* @date 2024-11-25
*/
@Data
public class TypeEntity extends TypeVo {
    private static final long serialVersionUID = 1L;

    /**
    * 类型种类名称
    */
    private String typeName;
    /**
    * 类型详细信息
    */
    private List<TypeDetailsEntity> typeDetailsList=new ArrayList<>();;
    public List<TypeDetailsEntity> getTypeDetailsList(){
      return typeDetailsList;
    }

    public void setTypeDetailsList(List<TypeDetailsEntity> typeDetailsList){
        this.typeDetailsList = typeDetailsList;
    }
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof TypeEntity) {
            TypeEntity tmp = (TypeEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.typeName = "0";
    }
}